{
  description = "Res judicata";

  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-20.09";

  outputs = { self, nixpkgs }:
  let
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
  in
   {

      packages.x86_64-linux.form-dev = pkgs.mkShell {
        buildInputs = [ pkgs.nodejs-14_x ];
        shellHook = ''
        '';
      };

      packages.x86_64-linux.validator-dev =
      let
        geneea_sdk = pkgs.python38Packages.buildPythonPackage rec {
          pname = "geneea-nlp-client";
          version = "1.2.0";
          src = pkgs.python38Packages.fetchPypi {
            inherit pname version;
            sha256 = "Q0fYD3V0NbUOItpCwA6ExIy7sIcQxpfqr1aPSXd4+cc=";
          };
          propagatedBuildInputs = with pkgs.python38Packages; [ requests retrying ];
          doCheck = false;
        };
      in
        pkgs.mkShell {
          buildInputs = [ pkgs.python38 pkgs.python38Packages.pip geneea_sdk ];
          shellHook = ''
            read -p 'Insert Geneea API key:' -r -s geneea_api_key
            export geneea_api_key
          '';
        };

    };
}
